import { configureStore } from '@reduxjs/toolkit';

export interface RouteState {
    homeserver: string
}

export default configureStore({
    reducer: {
        homeserver: (state = 'matrix.org', action) => {
            const actions = [ 'setHomeserver' ];
            if (actions.indexOf(action.type) === -1) return state;
            return action.homeserver ?? state;
        }
    },
})